# 下单服务助手小程序（Taro）

> 微信小程序应用 —— 主要使用 react.js + **[taro](https://docs.taro.zone/docs/)** + **[taroui](https://taro-ui.jd.com/#/)**等技术栈<br/>
> 在./src/config 文件夹中，dev.js 对应本地开发环境、prod.js 对应正式线上环境，可以修改 im、接口等地址配置
> 本项目已升级到 taro3，相关组件的具体文档参考[Taro 文档](https://docs.taro.zone/docs/)<br/>

## 项目 Git

#### [Gogs Git address](https://gogs.ywtinfo.com/ywt/thpaymp)

#### 生产环境分支：publish

#### 开发环境分支：视需求版本而定

## 项目 Command

node version: v12.14.0 及以上，yarn(包管理工具) install

```json
// 安装依赖
yarn 或者 npm install

// qa环境运行
yarn run dev:weapp

// qa环境打包
yarn run build-qa:weapp

// prod环境打包
yarn run build:weapp
```

## 文件目录

以下文件说明，请先参考[Taro 文档](https://docs.taro.zone/docs/)

```javascript
// 只备注官方文档没有提及的文件和文件目录
.
├── README.md
├── config  // 各个小程序各种环境配置文件
├── db.json
├── dist  // 小程序打包产物目录
├── mock-server.js  // mock服务器启动文件
├── mocks  // mock相关测试数据
├── node_modules
├── nodemon.json  // 动态监控mocks数据变化
├── package.json // 项目依赖
├── project.config.json  // 小程序项目配置文件，默认加载
├── src
│   ├── app.js  // 小程序主入口文件，默认加载
│   ├── app.less  // 全局样式，默认加载
│   ├── assets  // 资源文件
│   ├── config  // 项目相关配置文件，与环境配置文件区分使用
│   ├── constants  // 各种常用变量
│   ├── index.html  // h5项目才能使用的
│   ├── pages  // 项目页面
|   │   ├── home // 主页
|   │   ├── index // 项目入口
|   │   ├── pay  // 支付模块
|   │   └── users // 用户中心
│   ├── server  // 接口和服务相关
│   ├── store  // 全局状态管理
│   └── utils  // 工具库
└── yarn.lock

```

## 技术/业务要点

- 一个结构相对简单，承载业务相对较少的小程序，主要用于
