# 太和互联网医院医生版微信小程序

> 微信小程序应用 —— 主要使用 react.js + taro + taroui 等技术栈<br/>
> 在./src/config 文件夹中，dev.js 对应本地开发环境、prod.js 对应正式线上环境，可以修改 im、接口等地址配置

## 项目 Git

node version: v12.14.0 及以上，yarn(包管理工具) install

#### [Gogs Git address](https://gogs.ywtinfo.com/ywt/doctor_mp)

#### 生产环境分支：publish

#### QA 环境分支：视需求版本而定，具体命名规则见文末

## 项目 Command

```bash
# install Taro，具体参考相关资料链接
npm install -g @tarojs/cli

# install dependencies
npm install

# 编译本地运行
npm run dev:weapp

# 编译打包项目
npm run build:weapp

# config 配置

# 在本地开发环境或者QA环境时，应该把 envVersion 切换成 "qa" 的内容

# 在生产环境时，应该把 envVersion 切换成 "release" 的内容
```

## 文件目录

```javascript
.
├── README.md
├── config // 项目打包配置
├── dist // 打包产物
├── package-lock.json
├── package.json // 项目依赖
├── project.config.json // 小程序相关配置
└── src
    ├── app.js // 项目入口
    ├── app.less  // 全局样式
    ├── assets // 静态文件
    ├── components // 全局组件
    ├── config  // 项目接口配置
    ├── index.html
    ├── layouts // 页面总布局
    ├── pages
    │   ├── article // 文章/医学头条模块
    │   ├── consult // 问诊设置模块
    │   ├── index // 主入口
    │   ├── me // 个人中心
    │   └── prescription //处方模块
    ├── server // 接口中心
    ├── store // 全局状态管理
    ├── subpages  // 附属于各个主要模块下面的子页面
    └── utils // 公共工具函数
```

## 技术/业务要点

- 项目中组件库，一般划分成**4**种类型，**页面组件（复用整个页面）**，**原子组件（由较小的元素搭建而成）**，**业务组件（以某个业务划分的）**，**第三方组件（TaroUI）**；
- 业务组件数据中有不少字段判断，其中的含义可以查看后端接口文档；
- 在个人中心有个别页面通过内嵌 Webview H5 进行实现，具体文档请看[医生端小程序-H5](./%E5%8C%BB%E7%94%9F%E7%AB%AF%E5%B0%8F%E7%A8%8B%E5%BA%8F-H5.md)

### 相关资料

Taro：https://nervjs.github.io/taro/docs/README.html
